Update an existing fabric
curl --request PUT \
--url https://app.prophecy.io/api/orchestration/fabric/{fabricId} \
--header 'Content-Type: application/json' \
--header 'X-AUTH-TOKEN: <x-auth-token>' \
--data '
{
"name": "API_fabric_test_update"
}
'import requests
url = "https://app.prophecy.io/api/orchestration/fabric/{fabricId}"
payload = { "name": "API_fabric_test_update" }
headers = {
"X-AUTH-TOKEN": "<x-auth-token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-AUTH-TOKEN': '<x-auth-token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'API_fabric_test_update'})
};
fetch('https://app.prophecy.io/api/orchestration/fabric/{fabricId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "10740"
}
}Fabrics
Update an existing fabric
Update the name or description of an existing fabric
PUT
/
api
/
orchestration
/
fabric
/
{fabricId}
Update an existing fabric
Only the name and description of the fabric can be updated.
Headers
Prophecy authentication token. Required for all API requests.
Path Parameters
The unique ID of the fabric
Body
application/json
Fabric object with updated fields. Only name and description can be modified.
Was this page helpful?
⌘I

